Bug 448527 - procmail can't invoke spamc
procmail can't invoke spamc
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-27 09:31 EDT by Victor Bogado
Modified: 2008-11-17 17:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-17 17:04:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
audit.log (160.96 KB, text/plain)
2008-05-28 09:43 EDT, Victor Bogado
no flags Details

  None (edit)
Description Victor Bogado 2008-05-27 09:31:44 EDT
Description of problem:
procmail do not get permission to call spamc, I already checked that I am able
to call it myself and the deamon is running. This started to happen after I
upgraded from Fedora 8, and I suspected from the beginning that is se-related,
but I do not get a warning for this in the sealert thingy. I alredy did a drive
relabel.   

Version-Release number of selected component (if applicable):
procmail-3.22-21.fc9.x86_64
spamassassin-3.2.4-4.fc9.x86_64
selinux-policy-3.3.1-51.fc9.noarch


How reproducible:
always


Steps to Reproduce:
1. my setup is a fetchmail that fetched from pop and deliver to the local
sendmail that in turn call 'procmail' to filter and deliver email. As far as I
know it is happening all the time. 
  
Actual results:
email is not filtered through spamc and the log file get something like this :

/usr/bin/spamc: /usr/bin/spamc: cannot execute binary file
procmail: Error while writing to "/usr/bin/spamc"
procmail: Rescue of unfiltered data succeeded
From git-owner@vger.kernel.org  Tue May 27 10:26:45 2008
 Subject:  Re: Commit cce8d6fdb introduces file t/t5100/nul, git tree is now in
  Folder: .listas.git/new/1211894807.15651_0.xxxx.xxxxxx.xxxxx            5254

Expected results:
Email filtered using spam assassin
Comment 1 Miroslav Lichvar 2008-05-27 10:05:33 EDT
Does it work when SELinux is switched to permissive mode with "setenforce 0" ?
Comment 2 Victor Bogado 2008-05-27 11:05:37 EDT
Yes it does. 

 
Comment 3 Daniel Walsh 2008-05-27 13:40:13 EDT
Fixed in selinux-policy-3.3.1-55.fc9
Comment 4 Victor Bogado 2008-05-28 08:48:33 EDT
I've just installed it from updates-testing, do I need to reboot? 
Comment 5 Victor Bogado 2008-05-28 09:01:44 EDT
I just installed and rebooted, the procmail still failing to invoke spamc the
log has changed a little

from: 
/usr/bin/spamc: /usr/bin/spamc: cannot execute binary file
procmail: Error while writing to "/usr/bin/spamc"
procmail: Rescue of unfiltered data succeeded
From victor@bogado.net  Wed May 28 09:51:00 2008
 Subject: teste 1 2 3
  Folder: /home/bogado/Maildir/new/1211979060.22364_0.gandalf.bogado.n     1079

to:
/usr/bin/spamc: /usr/bin/spamc: cannot execute binary file
procmail: Program failure (126) of "/usr/bin/spamc"
procmail: Rescue of unfiltered data succeeded
From victor@bogado.net  Wed May 28 09:57:00 2008
 Subject: teste 4 5 6
  Folder: /home/bogado/Maildir/new/1211979420.3086_0.gandalf.bogado.ne     1078

Comment 6 Daniel Walsh 2008-05-28 09:28:40 EDT
Please attach the /var/log/audit/audit.log
Comment 7 Victor Bogado 2008-05-28 09:43:26 EDT
Created attachment 306934 [details]
audit.log

/var/log/audit.log
Comment 8 Daniel Walsh 2008-11-17 17:04:16 EST
Closing all bugs that have been in modified for over a month.  Please reopen if the bug is not actually fixed.

Note You need to log in before you can comment on or make changes to this bug.